
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>为什么我们需要HTML5 WebSocket / iVAN</title>

    <meta name="description" content="为什么我们需要HTML5 WebSocket HTML5 WebSocket简介     HTML5作为下一代的 Web 标准,它拥有许多引人注目的新特性,如 Canvas.本地存储.多媒体编程接口.WebSocket等等.这其中有&quot;Web 的 TCP &quot;之称的WebSocket格外吸引开发人员的注意.WebSocket的出现使得浏览器提供对Socket的支持成为可能,从而在浏览器和服务器之间提供了一个基于TCP连接的双向通道.Web开发人员可以非常方便地使用WebSocket构建实时web应用,开发人员的手中从此又多了 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">为什么我们需要HTML5 WebSocket</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>HTML5 WebSocket简介</p>
<p>    HTML5作为下一代的 Web 标准，它拥有许多引人注目的新特性，如 Canvas、本地存储、多媒体编程接口、WebSocket等等。这其中有“Web 的 TCP ”之称的WebSocket格外吸引开发人员的注意。WebSocket的出现使得浏览器提供对Socket的支持成为可能，从而在浏览器和服务器之间提供了一个基于TCP连接的双向通道。Web开发人员可以非常方便地使用WebSocket构建实时web应用，开发人员的手中从此又多了一柄神兵利器。</p>
<p>实时Web应用的窘境</p>
<p>    Web应用的信息交互过程通常是客户端通过浏览器发出一个请求，服务器端接收和审核完请求后进行处理并返回结果给客户端，然后客户端浏览器将信息呈现出来，这种机制对于信息变化不是特别频繁的应用尚能相安无事，但是对于那些实时要求比较高的应用来说，比如说在线游戏、股票查询，在线证券、设备监控、新闻在线播报、RSS订阅推送等等，当客户端浏览器准备呈现这些信息的时候，这些信息在服务器端可能已经过时了。所以保持客户端和服务器端的信息同步是实时 Web 应用的关键要素，对 Web 开发人员来说也是一个难题。在WebSocket规范出来之前，开发人员想实现这些实时的Web应用，不得不采用一些折衷的方案，其中最常用的就是轮询(Polling)和Comet技术。而Comet 技术实际上是轮询技术的改进，又可细分为两种实现方式，一种是长轮询机制，一种称为流技术。下面我们简单介绍一下这几种技术：</p>
<p>轮询：</p>
<p>    这是最早的一种实现实时Web应用的方案。客户端以一定的时间间隔向服务端发出请求，以频繁请求的方式来保持客户端和服务器端的同步。这种同步方案的最大问题是，当客户端以固定频率向服务器发起请求的时候，服务器端的数据可能并没有更新，这样会带来很多无谓的网络传输，所以这是一种非常低效的实时方案。</p>
<p>长轮询：</p>
<p>    长轮询是对定时轮询的改进和提高，目地是为了降低无效的网络传输。当服务器端没有数据更新的时候，连接会保持一段时间周期直到数据或状态改变或者时间过期，通过这种机制来减少无效的客户端和服务器间的交互。当然，如果服务端的数据变更非常频繁的话，这种机制和定时轮询比较起来没有本质上的性能的提高。</p>
<p>流：</p>
<p>    流技术方案通常就是在客户端的页面使用一个隐藏的窗口向服务端发出一个长连接的请求。服务器端接到这个请求后作出回应并不断更新连接状态以保证客户端和服务器端的连接不过期。通过这种机制可以将服务器端的信息源源不断地推向客户端。这种机制在用户体验上有一点问题，需要针对不同的浏览器设计不同的方案来改进用户体验，同时这种机制在并发比较大的情况下，对服务器端的资源是一个极大的考验。<br />综合这几种方案，您会发现这些目前我们所使用的所谓的实时技术并不是真正的实时技术，它们只是在用Ajax方式来模拟实时的效果，在每次客户端和服务器端交互的时候都是一次HTTP的请求和应答的过程，而每一次的HTTP请求和应答都带有完整的HTTP头信息，这就增加了每次传输的数据量，而且这些方案中客户端和服务器端的编程实现都比较复杂，在实际的应用中，为了模拟比较真实的实时效果，开发人员往往需要构造两个HTTP连接来模拟客户端和服务器之间的双向通讯，一个连接用来处理客户端到服务器端的数据传输，一个连接用来处理服务器端到客户端的数据传输，这不可避免地增加了编程实现的复杂度，也增加了服务器端的负载，制约了应用系统的扩展性。</p>
<p>WebSocket 的拯救</p>
<p>    HTML5 WebSocket设计出来的目的就是要取代轮询和Comet技术，使客户端浏览器具备像C/S架构下桌面系统的实时通讯能力。浏览器通过JavaScript向服务器发出建立WebSocket连接的请求，连接建立以后，客户端和服务器端就可以通过TCP连接直接交换数据。因为WebSocket连接本质上就是一个TCP连接，所以在数据传输的稳定性和数据传输量的大小方面，和轮询以及Comet技术比较，具有很大的性能优势。Websocket.org网站对传统的轮询方式和WebSocket调用方式作了一个详细的测试和比较，将一个简单的Web应用分别用轮询方式和WebSocket方式来实现，在这里引用一下他们的测试结果图：</p>
<h5>轮询和 WebSocket 实现方式的网络负载对比图</h5>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNjAzMTYxNjA2MzUxNzk/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2L2ZvbnQvNWE2TDVMMlQvZm9udHNpemUvNDAwL2ZpbGwvSTBKQlFrRkNNQT09L2Rpc3NvbHZlLzcwL2dyYXZpdHkvQ2VudGVy.jpg"></p>
<p>通过这张图可以清楚的看出，在流量和负载增大的情况下，WebSocket方案相比传统的Ajax轮询方案有极大的性能优势。这也是为什么我们认为WebSocket是未来实时Web应用的首选方案的原因。</p>
<p>欢迎大家关注我的博客，关注我的微博，如有疑问，请加qq群：454796847、135430763 共同进步！</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-23 10:02:08</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>为什么我们需要HTML5 WebSocket的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxWqnRb.html" rel="bookmark">浅谈HTML5 WebSocket的机制</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				回顾上一章       在上一章&lt;为什么我们需要HTML5 WebSocket&gt;中,我简单的介绍了下WebSocket的前世今生.相信大家已对WebSocket有了初步的了解.那么今天我们继续深入学习WebSocket的机制. WebSocket机制 我们知道WebSocket是HTML5一种新的协议.它实现了浏览器与服务器全双工通信(不知道的可以看下全双工通信RS-422标准),能更好的节省服务器资源和带宽并达到实时通讯,它建立在TCP之上,同HTTP一样通过TCP来传输数据,但是它和HTT			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDeZErb.html" rel="bookmark">聊天室-html5 websocket 问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 html5 websocket 问题 在用html5 websocket实现的聊天室中,如果让有的客户端不能进行登录,服务器应该怎么限制呀!那个方法怎么写呀! 解决方案 建立一个ip数据库或者ip端记录那些不允许登陆,你的服务器获取客户端ip后进行对比在你的列表里面就不允许连接就行了, 或者web服务器直接设置禁止哪些ip访问你的网站就搞定了.如果是需要登录,那不锁定一下账户 解决方案二: 可以吧要限制的ip跟端口写到一个文件中 当被限制的ip登录时返回一个空对象或者返回一个提示信息,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxYn6yp.html" rel="bookmark">让ie6 7 8 9支持原生html5 websocket</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  让ie6 7 8 9支持原生html5 websocket   从github上的 web-socket-js (socket.io好像也是用这个做的他们的flash替代传输方式)改过来的.不过值得注意的是里面的flash websocket代理文件,文件实在是很大,有174k 很好奇,就反编译看下, 是flex做的,这点很不喜欢,因为我没有flex builder也不想因为去改代码重新装一个,然后mx包下面的是flex的组件,com包下是adobe封装的socket和两个加密包 . 最下面			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEK3y3p.html" rel="bookmark">服务器-html5 websocket ip设置问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 html5 websocket ip设置问题 在html5 websocket 中,如果设置有的客户端不可以登录服务器的话,web服务器怎么直接设置禁止哪些ip访问你的网站呀! 解决方案 你的是什么web服务器?iis可以在iis管理界面右键你的网站,属性,目录安全性选项卡,在IP地址和域名限制里面添加授权访问的ip或者拒绝方的ip 其他服务器自己找下相关设置.一般是通过数据库来控制好些..可以限制到目录下的具体页面,而不需要整个网站整个目录不允许访问			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3ZKvmz.html" rel="bookmark">html5 websocket在线聊天</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 html5 websocket在线聊天 用html5 websocket 做的聊天室,怎么设置让客户端在知道服务器端的ip情况下,还是连不上呀!也就是说怎么对客户端进行身份验证? 解决方案 楼主下的是http://www.ibm.com/developerworks/cn/web/1112_huangxa_websocket/这个地址的示例?如果是修改WebSocketsServer.cs这个文件里面的代码,增加客户端ip地址的判断,主要是获取客户端ip地址,然后判断ip是否允许连接			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/My2Gy8p.html" rel="bookmark">使用 HTML5 WebSocket 构建实时 Web 应用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在 IBM Bluemix 云平台上开发并部署您的下一个应用. 开始您的试用 作为下一代的 Web 标准,HTML5 拥有许多引人注目的新特性,如 Canvas.本地存储.多媒体编程接口.WebSocket 等等.这其中有&quot;Web 的 TCP &quot;之称的 WebSocket 格外吸引开发人员的注意.WebSocket 的出现使得浏览器提供对 Socket 的支持成为可能,从而在浏览器和服务器之间提供了一个基于 TCP 连接的双向通道.Web 开发人员可以非常方便地使用 WebSocket			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8JXoNb.html" rel="bookmark">Demo源码放送：打通B&sol;S与C&sol;S ！让HTML5 WebSocket与&period;NET Socket公用同一个服务端！</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				随着HTML5 WebSocket技术的日益成熟与普及,我们可以借助WebSocket来更加方便地打通BS与CS -- 因为B/S中的WebSocket可以直接连接到C/S的服务端,并进行双向通信.如下图所示: 一.对Socket Server的要求 我们可以尝试让Socket Server透明地支持WebSocket客户端,所谓透明的意思是,服务端开发人员不用关心客户端究竟是什么类型,而是可以统一的接收数据.处理数据.发送数据.为了做到这一点,我们可以构建一个服务端框架,让框架完成透明化的工作			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OMy2R8p.html" rel="bookmark">HTML5 Web socket和socket&period;io</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				HTML5的新特性,用于双向推送消息(例如网页聊天,手机推送消息等) 原理: client利用regular http请求webpage 请求的webpage 执行javascript脚本,open a connection to server. 有新的信息时服务器和客户端可以相互发送信息(Real-time traffic from the server to the client and from the client to the server   客户端 说明: readyState:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvrmxrM.html" rel="bookmark">TCP&sol;IP&comma; WebSocket 和 MQTT</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				按照OSI网络分层模型,IP是网络层协议,TCP是传输层协议,而HTTP和MQTT是应用层的协议.在这三者之间, TCP是HTTP和MQTT底层的协议.大家对HTTP很熟悉,这里简要介绍下MQTT.MQTT(Message Queuing Telemetry Transport,消息队列遥测传输)是IBM开发的一个即时通讯协议,有可能成为物联网的重要组成部分.该协议支持所有平台,几乎可以把所有联网物品和外部连接起来,被用来当做传感器的通信协议. HTTP的不足 HTTP协议经过多年的使用,发现了			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrdjvz.html" rel="bookmark" class="title">使用 XML：完成 XI 实现 XMLReader 接口</a>
					<div>
						xml 专栏作家 Benoit Marchal 继续描述 XI,它是一个将旧文本转换成 XML 的开放源码项目.为了提高效率,XI 现在实现了 SAX XMLReader 接口,这证明了该接口使 XI ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnPYKb.html" rel="bookmark" class="title">细节设计心得技巧&colon;滚动条的细节设计</a>
					<div>
						文章描述:从滚动条消失看细节设计. 我相信所有设计师都是注重细节的!即使有时迫于种种原因,无法达到像期望般完美,但心中一定有份纠结的坚持.最近的项目中,给选择器设计备选列表,发现了一个&quot;由细 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJP9JM.html" rel="bookmark" class="title">使用ComboBox时碰到的问题</a>
					<div>
						问题 当含有ComboBox组件实例的swf被load到主swf时,会出现下面的情况 图片如下: 下面是载入后移动了位置 图片如下: 解决方法:在主swf中的库中加一个ComboBox组件,一切ok					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPRmWz.html" rel="bookmark" class="title">Linux下开机自动启动Oracle的设置方法</a>
					<div>
						上周五,因为办公室突然停电,服务器重启后,数据库并没有跟着重启,我才发现原来所有的数据 库都没有设置开机自动重启,为了防止以后三更半夜服务器重启时,不会有电话把我从睡梦中吵醒,让 我手动启动数据库,我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8jLDPb.html" rel="bookmark" class="title">如何除浏览器中驱动文件</a>
					<div>
						  不知道从什么时候开始,很多浏览器都在安装的时候,在安装目录中加入了驱动文件.由于驱动文件的权限等级特别的高,很多用户认为这些驱动文件会在系统后台干其他的事,所以他们都想将驱动文件从安装目录中删除. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRyed8b.html" rel="bookmark" class="title">Fireworks设计制作红色老旧砖墙特效实例教程</a>
					<div>
						1.先建立一个宽800高310的文件(我是这样做D,你也可以自由设置).在画一个同文件大小的矩形.属性为:充填(灰色)充填类别:(线性渐变).在点效果→杂点→新增杂点.属性为(数量15)得到效果如图: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4wDXrp.html" rel="bookmark" class="title">普联TL-WR886N路由器如何升级</a>
					<div>
						  普联TL-WR886N路由器升级注意事项 (1).进行升级操作之前,请用网线连接电脑和TP-Link TL-WR886N路由器,不要用无线的方式来进行连接. (2).进行固件升级过程中,需要确保路 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bal9nXz.html" rel="bookmark" class="title">不同平台下菜单的交互设计探析</a>
					<div>
						菜单的交互类型: 平行结构 线性结构(菜单层级沿x.y任一轴向平行展开.) 纵深结构(菜单层级沿z轴纵深递进,一个界面只显示一个菜单层级.) 十字结构 菜单使用x.y.z任意两轴向结合 十字.纵深结合 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPZDGz.html" rel="bookmark" class="title">PowerPoint基础操作教程&colon;添加图表坐标轴标题</a>
					<div>
						如何添加图表坐标轴标题 用户在创建图表后,还可以通过&quot;坐标轴标题&quot;按钮添加坐标轴标题. 步骤1:打开上一例效果文件,选择要添加坐标轴标题的图表,如下图所示. 步骤2:切换至&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOanl3M.html" rel="bookmark" class="title">linux系统中修改IP和DNS的命令</a>
					<div>
						  Linux下修改IP.DNS.路由命令行设置 ubuntu 版本命令行设置IP cat /etc/network/interfaces # This file describes the netw ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MArklJp.html" rel="bookmark" class="title">Word中创建样式的攻略</a>
					<div>
						  其实Word也没有我们想象中的单调,在编辑的时候,我们还可以创建不同的样式.对于这一方面,可能大家都不大清楚,那么小编就来详细的解释一遍,大家听好了. Word 1.如果&quot;样式和格式&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRwlmGp.html" rel="bookmark" class="title">MindMapper主题划定边界教程</a>
					<div>
						  在MindMapper中,选中需要添加边界的主题,点击[首页]格式中的创建范围按钮,在打开的下拉框中可以看到各种MindMapper主题边界种类.选择合适的边界形状,点击后便可以应用该MindMa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3oKa3b.html" rel="bookmark" class="title">Python installation</a>
					<div>
						  PIP:Python &amp; OS Support pip works with CPython versions 2.6, 2.7, 3.2, 3.3, 3.4 and also pypy. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8ZXZPb.html" rel="bookmark" class="title">数据结构课程主页-2015级</a>
					<div>
						前言 数据结构课程翻转课堂的改革这是第2轮了. 在这一年多时间来,国内对翻转课堂由观望.争论,到目前更多的认可,这是大势所趋.我们已经进入到了信息化时代,工业时代的教学模式是要改了. 对于数据结构课程 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE65xqM.html" rel="bookmark" class="title">为什么你说&OpenCurlyDoubleQuote;就差一个码农了&rdquo;，我们是拒绝的</a>
					<div>
						根本原因是 90% 这么说的人不懂技术,不了解行业,把技术实现想太简单,以为编程就是打字.分开来说包括以下 4 个方面:不尊重程序员.不只缺一个.大大低估投入.还没到需要程序员的时候,下面一一说明.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7YDlAM.html" rel="bookmark" class="title">在安装mysql odbc  5&period;3的时候报错</a>
					<div>
						问题描述 在安装mysql odbc 5.3的时候报错 在安装mysql odbc 5.3的时候报错,已经装了vc 2010和vc 2012 解决方案 以前有没有安装类似的,是不是有残留信息 解决方案 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6ZG4yM.html" rel="bookmark" class="title">Nhbernate查询中Where条件该如何使用</a>
					<div>
						问题描述 底层代码如下:publicPagedList&lt;Work&gt;GetList(intpageIndex,intpageSize){varquery=this.Session.Query ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40dxYz.html" rel="bookmark" class="title">友达称遭起诉对运营影响不大将继续辩护</a>
					<div>
						比特网(chinabyte)6月12日消息,台湾第二大液晶面板厂友达光电针对六名主管因涉嫌密谋操控价格在美国遭到起诉的事件作出回应,称对美国司法部的处置感到失望,并表示目前对公司正常营运无重大影响.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydG04b.html" rel="bookmark" class="title">总结几点现在百度更新蜘蛛抓取的几点规律</a>
					<div>
						摘要: 今天起床后我打开网站发现了一个现象,那就是百度蜘蛛在一个晚上来了几次,我的网站的更新频率是白天一篇文章,晚上11点到12点更新3篇文章,经过对网站的检查与分析,然后我与 今天起床后我打开网站发 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJAgewp.html" rel="bookmark" class="title">《MySQL DBA修炼之道》&mdash;&mdash;1&period;4　MySQL权限</a>
					<div>
						1.4 MySQL权限 1.4.1 MySQL权限机制 MySQL权限控制包含如下两个阶段. 阶段1:服务器检查是否允许你连接. 阶段2:假定你能连接,服务器将检查你发出的每一个请求,查看你是否有足够 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1roYrp.html" rel="bookmark" class="title">&lbrack;LeetCode&rsqb;230&period;Kth Smallest Element in a BST</a>
					<div>
						题目 Given a binary search tree, write a function kthSmallest to find the kth smallest element in it.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7LWez.html" rel="bookmark" class="title">把seo做到网站的骨髓里</a>
					<div>
						摘要: 最近一直处于忙碌紧张的工作状态中.因为刚接手两个网站,而且这两个网站都是曾经辉煌过,达到顶峰又掉下来的网站.从事seo的人都知道,网站一旦掉下来要想再恢复不是件很容易 最近一直处于忙碌紧张的工 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQn6Yp.html" rel="bookmark" class="title">如何让搜索引擎快速收录你的Discuz论坛</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断淘宝客 站长团购 云主机 技术大厅 网络资源之家交流论坛(ht ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPk3AAM.html" rel="bookmark" class="title">《魔界村OL》游戏说明会详介G&starf;公开新职业</a>
					<div>
						本网(编译/psyche1004)CJI与Seed9Games于11月9日在CJE&amp;M中心召开了即将于&quot;G★2010&quot;上公开的MMORPG游戏&lt;魔界村OL&gt;的游 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvnw0AM.html" rel="bookmark" class="title">股权激励股频&OpenCurlyDoubleQuote;破发&rdquo;市场见底？</a>
					<div>
						周小雍 中金公司最新发布的研究报告显示,今年以来有85家公司因各种原因停止实施了股权激励计划.此外,截止到2011年8月31日,目前仍有35只期权激励公司的股价在行权价之下. 上述报告指出,在今年弱市 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR1XXdb.html" rel="bookmark" class="title">mysql 10w级别的mysql数据插入&lowbar;Mysql</a>
					<div>
						开始没想到,这10w的数据一个号码一个号码的插入半个小时才2w.后来改进一条SQL批量插入 复制代码 代码如下: -- 优化代码之前的 insert into table(mobile) values ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJO1yVb.html" rel="bookmark" class="title">PHP中trim&lpar;&rpar;函数简单使用指南&lowbar;php技巧</a>
					<div>
						string trim ( string $str [, string $charlist ] ) - 去除字符串首尾处的空白字符(或者其他字符) trim()函数当第二个参数为空时,默认去掉空格.制 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKqyPnp.html" rel="bookmark" class="title">Python def函数的定义、使用及参数传递实现代码&lowbar;python</a>
					<div>
						Python编程中对于某些需要重复调用的程序,可以使用函数进行定义,基本形式为: def 函数名(参数1, 参数2, --, 参数N): 执行语句函数名为调用的表示名,参数则是传入的参数,可以更具需要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z44mdPz.html" rel="bookmark" class="title">JQuery EasyUI 日期控件如何控制日期选择区间&lowbar;jquery</a>
					<div>
						复制代码 代码如下: &lt;tr&gt;&lt;th&gt;发售起始日期&lt;/th&gt; &lt;td&gt;&lt;input type=&quot;text&quot; id=&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9jaAvp.html" rel="bookmark" class="title">api-综合交易平台系统API中OnRtnDepthMarketData&lpar;&rpar;&semi;</a>
					<div>
						问题描述 综合交易平台系统API中OnRtnDepthMarketData(); 综合交易平台系统CTP的API函数virtual void OnRtnDepthMarketData(CThostFt ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
